package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Bpt;
import org.apache.ibatis.annotations.Mapper;
import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface BptMapper {

    int insert(Bpt record);

    int insertSelective(Bpt record);

    int updateByPrimaryKeySelective(Bpt record);

    int updateByPrimaryKey(Bpt record);

    int deleteByPrimaryKey(Bpt record);

    int deleteByIds(Collection<Object> collection);

    Bpt selectByPrimaryKey(Bpt record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Bpt> dyncRead(Map<String,Object> dyncMap);

}